<?php
/*
ALTER TABLE `ps_product` ADD `id_currency` INT( 10 ) UNSIGNED NULL;
ALTER TABLE `ps_product` ADD `margin_val` DECIMAL( 20, 6 ) UNSIGNED NULL;
ALTER TABLE `ps_product` ADD `margin_percent` DECIMAL( 20, 6 ) UNSIGNED NULL;

UPDATE `ps_product` p, `ps_currency` c SET p.`price`=(p.`wholesale_price`*(1+p.`margin_percent`/100)+p.`margin_val`)*c.`conversion_rate` WHERE p.`id_currency`=c.`id_currency

*/
class Product extends ProductCore
{
	/** @var string Tax name */
	public		$id_currency;
	public		$margin_val;
	public		$margin_percent;

	public function getFields()
	{
		$fields=parent::getFields();
		$fields['id_currency']= (int)($this->id_currency);
		$fields['margin_val']= (float)($this->margin_val);
		$fields['margin_percent']= (float)($this->margin_percent);

		return $fields;
	}

}
